com.corticon.eclipse.core

## Interface IProgressDelegate

-     public interface IProgressDelegate

  Interface IPreferencesDelegate is a platform-neutral interface that allows Foundation APIs to communicate progress information to the UI. The UI must create an implementation of this delegate, and pass that delegate into certain long-running processes.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginTask(java.lang.String astrTaskName, int aiTotalWork)` Notifies that the main task is beginning.
    `void` | `done()` Notifies that the work is done; that is, either the main task is completed or the user canceled it.
    `boolean` | `isCanceled()` Returns whether cancellation of current operation has been requested.
    `void` | `setCanceled(boolean abCancelled)` Sets the cancelled state.
    `void` | `subTask(java.lang.String astrSubtaskName)` Notifies that a subtask of the main task is beginning.
    `void` | `worked(int aiWorkUnitsCompleted)` Notifies that a given number of work unit of the main task has been completed.

- - ### Method Detail

    - #### beginTask

          void beginTask(java.lang.String astrTaskName,
                       int aiTotalWork)

      Notifies that the main task is beginning.
      Parameters:
        `astrTaskName` - the name (or description) of the main task
        `aiTotalWork` - the total number of work units (denominator).

    - #### done

          void done()

      Notifies that the work is done; that is, either the main task is completed or the user canceled it.

    - #### isCanceled

          boolean isCanceled()

      Returns whether cancellation of current operation has been requested. Long-running operations should poll to see if cancellation has been requested.
      Returns:
        `true` if cancellation has been requested.

    - #### setCanceled

          void setCanceled(boolean abCancelled)

      Sets the cancelled state.
      Parameters:
        `abCancelled` - `true` indicates that cancellation has been requested.

    - #### subTask

          void subTask(java.lang.String astrSubtaskName)

      Notifies that a subtask of the main task is beginning. Subtasks are optional; the main task might not have subtasks.
      Parameters:
        `astrSubtaskName` - The name (or description) of the subtask.

    - #### worked

          void worked(int aiWorkUnitsCompleted)

      Notifies that a given number of work unit of the main task has been completed. Note that this amount represents an installment as opposed to a cumulative amount of work done to date.
      Parameters:
        `aiWorkUnitsCompleted` - Number of work units just completed.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.